Add new card transaction
POST
/
cardtransactions
Add new card transaction
curl --request POST \
--url https://stage-api.findity.com/api/v1/connect/cardtransactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billingAmount": 550,
"billingCurrencyCode": "SEK",
"billingExchangeRate": null,
"billingVatAmount": 0,
"cardId": "fa9fd6cc23144018953c37ddffdbf4a9",
"cardIssuer": "NORDEA",
"cardNumber": "XXXXXXXXXXXX6789",
"cardType": "FIRSTCARD",
"country": "SWE",
"city": "STOCKHOLM",
"state": "SWEDEN",
"description": "CARD PURCHASE",
"eventType": "CAPTURE",
"expenseRecordId": "55b22cb36900800c016555cbcab4004c",
"id": "7ab11cb36900800c016900cbcab4002b",
"invoiceNumber": null,
"lastUpdated": "2023-07-18T14:20:53Z",
"liability": "private",
"merchantAmount": 550,
"merchantCurrencyCode": "SEK",
"merchantMcc": 5921,
"organizationId": "8ab28cb36900800c016900cbcab4003e",
"personId": "8ab28c4e72e12f790172e29b8e050077",
"posName": "COOP LUDVIKA",
"supplierCardId": "674411441",
"transactionDate": "2023-04-04T00:00:00Z",
"transactionId": "454411002",
"transactionOwnerName": "Test Testsson",
"transactionReference": "04TF56_2024-01-01"
}
'import requests
url = "https://stage-api.findity.com/api/v1/connect/cardtransactions"
payload = {
"billingAmount": 550,
"billingCurrencyCode": "SEK",
"billingExchangeRate": None,
"billingVatAmount": 0,
"cardId": "fa9fd6cc23144018953c37ddffdbf4a9",
"cardIssuer": "NORDEA",
"cardNumber": "XXXXXXXXXXXX6789",
"cardType": "FIRSTCARD",
"country": "SWE",
"city": "STOCKHOLM",
"state": "SWEDEN",
"description": "CARD PURCHASE",
"eventType": "CAPTURE",
"expenseRecordId": "55b22cb36900800c016555cbcab4004c",
"id": "7ab11cb36900800c016900cbcab4002b",
"invoiceNumber": None,
"lastUpdated": "2023-07-18T14:20:53Z",
"liability": "private",
"merchantAmount": 550,
"merchantCurrencyCode": "SEK",
"merchantMcc": 5921,
"organizationId": "8ab28cb36900800c016900cbcab4003e",
"personId": "8ab28c4e72e12f790172e29b8e050077",
"posName": "COOP LUDVIKA",
"supplierCardId": "674411441",
"transactionDate": "2023-04-04T00:00:00Z",
"transactionId": "454411002",
"transactionOwnerName": "Test Testsson",
"transactionReference": "04TF56_2024-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billingAmount: 550,
billingCurrencyCode: 'SEK',
billingExchangeRate: null,
billingVatAmount: 0,
cardId: 'fa9fd6cc23144018953c37ddffdbf4a9',
cardIssuer: 'NORDEA',
cardNumber: 'XXXXXXXXXXXX6789',
cardType: 'FIRSTCARD',
country: 'SWE',
city: 'STOCKHOLM',
state: 'SWEDEN',
description: 'CARD PURCHASE',
eventType: 'CAPTURE',
expenseRecordId: '55b22cb36900800c016555cbcab4004c',
id: '7ab11cb36900800c016900cbcab4002b',
invoiceNumber: null,
lastUpdated: '2023-07-18T14:20:53Z',
liability: 'private',
merchantAmount: 550,
merchantCurrencyCode: 'SEK',
merchantMcc: 5921,
organizationId: '8ab28cb36900800c016900cbcab4003e',
personId: '8ab28c4e72e12f790172e29b8e050077',
posName: 'COOP LUDVIKA',
supplierCardId: '674411441',
transactionDate: '2023-04-04T00:00:00Z',
transactionId: '454411002',
transactionOwnerName: 'Test Testsson',
transactionReference: '04TF56_2024-01-01'
})
};
fetch('https://stage-api.findity.com/api/v1/connect/cardtransactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/connect/cardtransactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'billingAmount' => 550,
'billingCurrencyCode' => 'SEK',
'billingExchangeRate' => null,
'billingVatAmount' => 0,
'cardId' => 'fa9fd6cc23144018953c37ddffdbf4a9',
'cardIssuer' => 'NORDEA',
'cardNumber' => 'XXXXXXXXXXXX6789',
'cardType' => 'FIRSTCARD',
'country' => 'SWE',
'city' => 'STOCKHOLM',
'state' => 'SWEDEN',
'description' => 'CARD PURCHASE',
'eventType' => 'CAPTURE',
'expenseRecordId' => '55b22cb36900800c016555cbcab4004c',
'id' => '7ab11cb36900800c016900cbcab4002b',
'invoiceNumber' => null,
'lastUpdated' => '2023-07-18T14:20:53Z',
'liability' => 'private',
'merchantAmount' => 550,
'merchantCurrencyCode' => 'SEK',
'merchantMcc' => 5921,
'organizationId' => '8ab28cb36900800c016900cbcab4003e',
'personId' => '8ab28c4e72e12f790172e29b8e050077',
'posName' => 'COOP LUDVIKA',
'supplierCardId' => '674411441',
'transactionDate' => '2023-04-04T00:00:00Z',
'transactionId' => '454411002',
'transactionOwnerName' => 'Test Testsson',
'transactionReference' => '04TF56_2024-01-01'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/connect/cardtransactions"
payload := strings.NewReader("{\n \"billingAmount\": 550,\n \"billingCurrencyCode\": \"SEK\",\n \"billingExchangeRate\": null,\n \"billingVatAmount\": 0,\n \"cardId\": \"fa9fd6cc23144018953c37ddffdbf4a9\",\n \"cardIssuer\": \"NORDEA\",\n \"cardNumber\": \"XXXXXXXXXXXX6789\",\n \"cardType\": \"FIRSTCARD\",\n \"country\": \"SWE\",\n \"city\": \"STOCKHOLM\",\n \"state\": \"SWEDEN\",\n \"description\": \"CARD PURCHASE\",\n \"eventType\": \"CAPTURE\",\n \"expenseRecordId\": \"55b22cb36900800c016555cbcab4004c\",\n \"id\": \"7ab11cb36900800c016900cbcab4002b\",\n \"invoiceNumber\": null,\n \"lastUpdated\": \"2023-07-18T14:20:53Z\",\n \"liability\": \"private\",\n \"merchantAmount\": 550,\n \"merchantCurrencyCode\": \"SEK\",\n \"merchantMcc\": 5921,\n \"organizationId\": \"8ab28cb36900800c016900cbcab4003e\",\n \"personId\": \"8ab28c4e72e12f790172e29b8e050077\",\n \"posName\": \"COOP LUDVIKA\",\n \"supplierCardId\": \"674411441\",\n \"transactionDate\": \"2023-04-04T00:00:00Z\",\n \"transactionId\": \"454411002\",\n \"transactionOwnerName\": \"Test Testsson\",\n \"transactionReference\": \"04TF56_2024-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://stage-api.findity.com/api/v1/connect/cardtransactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"billingAmount\": 550,\n \"billingCurrencyCode\": \"SEK\",\n \"billingExchangeRate\": null,\n \"billingVatAmount\": 0,\n \"cardId\": \"fa9fd6cc23144018953c37ddffdbf4a9\",\n \"cardIssuer\": \"NORDEA\",\n \"cardNumber\": \"XXXXXXXXXXXX6789\",\n \"cardType\": \"FIRSTCARD\",\n \"country\": \"SWE\",\n \"city\": \"STOCKHOLM\",\n \"state\": \"SWEDEN\",\n \"description\": \"CARD PURCHASE\",\n \"eventType\": \"CAPTURE\",\n \"expenseRecordId\": \"55b22cb36900800c016555cbcab4004c\",\n \"id\": \"7ab11cb36900800c016900cbcab4002b\",\n \"invoiceNumber\": null,\n \"lastUpdated\": \"2023-07-18T14:20:53Z\",\n \"liability\": \"private\",\n \"merchantAmount\": 550,\n \"merchantCurrencyCode\": \"SEK\",\n \"merchantMcc\": 5921,\n \"organizationId\": \"8ab28cb36900800c016900cbcab4003e\",\n \"personId\": \"8ab28c4e72e12f790172e29b8e050077\",\n \"posName\": \"COOP LUDVIKA\",\n \"supplierCardId\": \"674411441\",\n \"transactionDate\": \"2023-04-04T00:00:00Z\",\n \"transactionId\": \"454411002\",\n \"transactionOwnerName\": \"Test Testsson\",\n \"transactionReference\": \"04TF56_2024-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/connect/cardtransactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"billingAmount\": 550,\n \"billingCurrencyCode\": \"SEK\",\n \"billingExchangeRate\": null,\n \"billingVatAmount\": 0,\n \"cardId\": \"fa9fd6cc23144018953c37ddffdbf4a9\",\n \"cardIssuer\": \"NORDEA\",\n \"cardNumber\": \"XXXXXXXXXXXX6789\",\n \"cardType\": \"FIRSTCARD\",\n \"country\": \"SWE\",\n \"city\": \"STOCKHOLM\",\n \"state\": \"SWEDEN\",\n \"description\": \"CARD PURCHASE\",\n \"eventType\": \"CAPTURE\",\n \"expenseRecordId\": \"55b22cb36900800c016555cbcab4004c\",\n \"id\": \"7ab11cb36900800c016900cbcab4002b\",\n \"invoiceNumber\": null,\n \"lastUpdated\": \"2023-07-18T14:20:53Z\",\n \"liability\": \"private\",\n \"merchantAmount\": 550,\n \"merchantCurrencyCode\": \"SEK\",\n \"merchantMcc\": 5921,\n \"organizationId\": \"8ab28cb36900800c016900cbcab4003e\",\n \"personId\": \"8ab28c4e72e12f790172e29b8e050077\",\n \"posName\": \"COOP LUDVIKA\",\n \"supplierCardId\": \"674411441\",\n \"transactionDate\": \"2023-04-04T00:00:00Z\",\n \"transactionId\": \"454411002\",\n \"transactionOwnerName\": \"Test Testsson\",\n \"transactionReference\": \"04TF56_2024-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"billingAmount": 550,
"billingCurrencyCode": "SEK",
"billingExchangeRate": null,
"billingVatAmount": 0,
"cardId": "fa9fd6cc23144018953c37ddffdbf4a9",
"cardIssuer": "NORDEA",
"cardNumber": "XXXXXXXXXXXX6789",
"cardType": "FIRSTCARD",
"country": "SWE",
"city": "STOCKHOLM",
"state": "SWEDEN",
"description": "CARD PURCHASE",
"eventType": "CAPTURE",
"expenseRecordId": "55b22cb36900800c016555cbcab4004c",
"id": "7ab11cb36900800c016900cbcab4002b",
"invoiceNumber": null,
"lastUpdated": "2023-07-18T14:20:53Z",
"liability": "private",
"merchantAmount": 550,
"merchantCurrencyCode": "SEK",
"merchantMcc": 5921,
"organizationId": "8ab28cb36900800c016900cbcab4003e",
"personId": "8ab28c4e72e12f790172e29b8e050077",
"posName": "COOP LUDVIKA",
"supplierCardId": "674411441",
"transactionDate": "2023-04-04T00:00:00Z",
"transactionId": "454411002",
"transactionOwnerName": "Test Testsson",
"transactionReference": "04TF56_2024-01-01"
}
]
}{
"result": "<string>",
"code": "<string>",
"description": "<string>"
}{
"result": "<string>",
"description": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
AUTHORIZATION_ACCEPTED, AUTHORIZATION_REJECTED, AUTHORIZATION_REVERSAL, CAPTURE, REFUND Available options:
PRIVATE, CORPORATE, DEBET Response
OK
Hide child attributes
Hide child attributes
Available options:
AUTHORIZATION_ACCEPTED, AUTHORIZATION_REJECTED, AUTHORIZATION_REVERSAL, CAPTURE, REFUND Available options:
PRIVATE, CORPORATE, DEBET ⌘I
Add new card transaction
curl --request POST \
--url https://stage-api.findity.com/api/v1/connect/cardtransactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billingAmount": 550,
"billingCurrencyCode": "SEK",
"billingExchangeRate": null,
"billingVatAmount": 0,
"cardId": "fa9fd6cc23144018953c37ddffdbf4a9",
"cardIssuer": "NORDEA",
"cardNumber": "XXXXXXXXXXXX6789",
"cardType": "FIRSTCARD",
"country": "SWE",
"city": "STOCKHOLM",
"state": "SWEDEN",
"description": "CARD PURCHASE",
"eventType": "CAPTURE",
"expenseRecordId": "55b22cb36900800c016555cbcab4004c",
"id": "7ab11cb36900800c016900cbcab4002b",
"invoiceNumber": null,
"lastUpdated": "2023-07-18T14:20:53Z",
"liability": "private",
"merchantAmount": 550,
"merchantCurrencyCode": "SEK",
"merchantMcc": 5921,
"organizationId": "8ab28cb36900800c016900cbcab4003e",
"personId": "8ab28c4e72e12f790172e29b8e050077",
"posName": "COOP LUDVIKA",
"supplierCardId": "674411441",
"transactionDate": "2023-04-04T00:00:00Z",
"transactionId": "454411002",
"transactionOwnerName": "Test Testsson",
"transactionReference": "04TF56_2024-01-01"
}
'import requests
url = "https://stage-api.findity.com/api/v1/connect/cardtransactions"
payload = {
"billingAmount": 550,
"billingCurrencyCode": "SEK",
"billingExchangeRate": None,
"billingVatAmount": 0,
"cardId": "fa9fd6cc23144018953c37ddffdbf4a9",
"cardIssuer": "NORDEA",
"cardNumber": "XXXXXXXXXXXX6789",
"cardType": "FIRSTCARD",
"country": "SWE",
"city": "STOCKHOLM",
"state": "SWEDEN",
"description": "CARD PURCHASE",
"eventType": "CAPTURE",
"expenseRecordId": "55b22cb36900800c016555cbcab4004c",
"id": "7ab11cb36900800c016900cbcab4002b",
"invoiceNumber": None,
"lastUpdated": "2023-07-18T14:20:53Z",
"liability": "private",
"merchantAmount": 550,
"merchantCurrencyCode": "SEK",
"merchantMcc": 5921,
"organizationId": "8ab28cb36900800c016900cbcab4003e",
"personId": "8ab28c4e72e12f790172e29b8e050077",
"posName": "COOP LUDVIKA",
"supplierCardId": "674411441",
"transactionDate": "2023-04-04T00:00:00Z",
"transactionId": "454411002",
"transactionOwnerName": "Test Testsson",
"transactionReference": "04TF56_2024-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billingAmount: 550,
billingCurrencyCode: 'SEK',
billingExchangeRate: null,
billingVatAmount: 0,
cardId: 'fa9fd6cc23144018953c37ddffdbf4a9',
cardIssuer: 'NORDEA',
cardNumber: 'XXXXXXXXXXXX6789',
cardType: 'FIRSTCARD',
country: 'SWE',
city: 'STOCKHOLM',
state: 'SWEDEN',
description: 'CARD PURCHASE',
eventType: 'CAPTURE',
expenseRecordId: '55b22cb36900800c016555cbcab4004c',
id: '7ab11cb36900800c016900cbcab4002b',
invoiceNumber: null,
lastUpdated: '2023-07-18T14:20:53Z',
liability: 'private',
merchantAmount: 550,
merchantCurrencyCode: 'SEK',
merchantMcc: 5921,
organizationId: '8ab28cb36900800c016900cbcab4003e',
personId: '8ab28c4e72e12f790172e29b8e050077',
posName: 'COOP LUDVIKA',
supplierCardId: '674411441',
transactionDate: '2023-04-04T00:00:00Z',
transactionId: '454411002',
transactionOwnerName: 'Test Testsson',
transactionReference: '04TF56_2024-01-01'
})
};
fetch('https://stage-api.findity.com/api/v1/connect/cardtransactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/connect/cardtransactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'billingAmount' => 550,
'billingCurrencyCode' => 'SEK',
'billingExchangeRate' => null,
'billingVatAmount' => 0,
'cardId' => 'fa9fd6cc23144018953c37ddffdbf4a9',
'cardIssuer' => 'NORDEA',
'cardNumber' => 'XXXXXXXXXXXX6789',
'cardType' => 'FIRSTCARD',
'country' => 'SWE',
'city' => 'STOCKHOLM',
'state' => 'SWEDEN',
'description' => 'CARD PURCHASE',
'eventType' => 'CAPTURE',
'expenseRecordId' => '55b22cb36900800c016555cbcab4004c',
'id' => '7ab11cb36900800c016900cbcab4002b',
'invoiceNumber' => null,
'lastUpdated' => '2023-07-18T14:20:53Z',
'liability' => 'private',
'merchantAmount' => 550,
'merchantCurrencyCode' => 'SEK',
'merchantMcc' => 5921,
'organizationId' => '8ab28cb36900800c016900cbcab4003e',
'personId' => '8ab28c4e72e12f790172e29b8e050077',
'posName' => 'COOP LUDVIKA',
'supplierCardId' => '674411441',
'transactionDate' => '2023-04-04T00:00:00Z',
'transactionId' => '454411002',
'transactionOwnerName' => 'Test Testsson',
'transactionReference' => '04TF56_2024-01-01'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/connect/cardtransactions"
payload := strings.NewReader("{\n \"billingAmount\": 550,\n \"billingCurrencyCode\": \"SEK\",\n \"billingExchangeRate\": null,\n \"billingVatAmount\": 0,\n \"cardId\": \"fa9fd6cc23144018953c37ddffdbf4a9\",\n \"cardIssuer\": \"NORDEA\",\n \"cardNumber\": \"XXXXXXXXXXXX6789\",\n \"cardType\": \"FIRSTCARD\",\n \"country\": \"SWE\",\n \"city\": \"STOCKHOLM\",\n \"state\": \"SWEDEN\",\n \"description\": \"CARD PURCHASE\",\n \"eventType\": \"CAPTURE\",\n \"expenseRecordId\": \"55b22cb36900800c016555cbcab4004c\",\n \"id\": \"7ab11cb36900800c016900cbcab4002b\",\n \"invoiceNumber\": null,\n \"lastUpdated\": \"2023-07-18T14:20:53Z\",\n \"liability\": \"private\",\n \"merchantAmount\": 550,\n \"merchantCurrencyCode\": \"SEK\",\n \"merchantMcc\": 5921,\n \"organizationId\": \"8ab28cb36900800c016900cbcab4003e\",\n \"personId\": \"8ab28c4e72e12f790172e29b8e050077\",\n \"posName\": \"COOP LUDVIKA\",\n \"supplierCardId\": \"674411441\",\n \"transactionDate\": \"2023-04-04T00:00:00Z\",\n \"transactionId\": \"454411002\",\n \"transactionOwnerName\": \"Test Testsson\",\n \"transactionReference\": \"04TF56_2024-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://stage-api.findity.com/api/v1/connect/cardtransactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"billingAmount\": 550,\n \"billingCurrencyCode\": \"SEK\",\n \"billingExchangeRate\": null,\n \"billingVatAmount\": 0,\n \"cardId\": \"fa9fd6cc23144018953c37ddffdbf4a9\",\n \"cardIssuer\": \"NORDEA\",\n \"cardNumber\": \"XXXXXXXXXXXX6789\",\n \"cardType\": \"FIRSTCARD\",\n \"country\": \"SWE\",\n \"city\": \"STOCKHOLM\",\n \"state\": \"SWEDEN\",\n \"description\": \"CARD PURCHASE\",\n \"eventType\": \"CAPTURE\",\n \"expenseRecordId\": \"55b22cb36900800c016555cbcab4004c\",\n \"id\": \"7ab11cb36900800c016900cbcab4002b\",\n \"invoiceNumber\": null,\n \"lastUpdated\": \"2023-07-18T14:20:53Z\",\n \"liability\": \"private\",\n \"merchantAmount\": 550,\n \"merchantCurrencyCode\": \"SEK\",\n \"merchantMcc\": 5921,\n \"organizationId\": \"8ab28cb36900800c016900cbcab4003e\",\n \"personId\": \"8ab28c4e72e12f790172e29b8e050077\",\n \"posName\": \"COOP LUDVIKA\",\n \"supplierCardId\": \"674411441\",\n \"transactionDate\": \"2023-04-04T00:00:00Z\",\n \"transactionId\": \"454411002\",\n \"transactionOwnerName\": \"Test Testsson\",\n \"transactionReference\": \"04TF56_2024-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/connect/cardtransactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"billingAmount\": 550,\n \"billingCurrencyCode\": \"SEK\",\n \"billingExchangeRate\": null,\n \"billingVatAmount\": 0,\n \"cardId\": \"fa9fd6cc23144018953c37ddffdbf4a9\",\n \"cardIssuer\": \"NORDEA\",\n \"cardNumber\": \"XXXXXXXXXXXX6789\",\n \"cardType\": \"FIRSTCARD\",\n \"country\": \"SWE\",\n \"city\": \"STOCKHOLM\",\n \"state\": \"SWEDEN\",\n \"description\": \"CARD PURCHASE\",\n \"eventType\": \"CAPTURE\",\n \"expenseRecordId\": \"55b22cb36900800c016555cbcab4004c\",\n \"id\": \"7ab11cb36900800c016900cbcab4002b\",\n \"invoiceNumber\": null,\n \"lastUpdated\": \"2023-07-18T14:20:53Z\",\n \"liability\": \"private\",\n \"merchantAmount\": 550,\n \"merchantCurrencyCode\": \"SEK\",\n \"merchantMcc\": 5921,\n \"organizationId\": \"8ab28cb36900800c016900cbcab4003e\",\n \"personId\": \"8ab28c4e72e12f790172e29b8e050077\",\n \"posName\": \"COOP LUDVIKA\",\n \"supplierCardId\": \"674411441\",\n \"transactionDate\": \"2023-04-04T00:00:00Z\",\n \"transactionId\": \"454411002\",\n \"transactionOwnerName\": \"Test Testsson\",\n \"transactionReference\": \"04TF56_2024-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"billingAmount": 550,
"billingCurrencyCode": "SEK",
"billingExchangeRate": null,
"billingVatAmount": 0,
"cardId": "fa9fd6cc23144018953c37ddffdbf4a9",
"cardIssuer": "NORDEA",
"cardNumber": "XXXXXXXXXXXX6789",
"cardType": "FIRSTCARD",
"country": "SWE",
"city": "STOCKHOLM",
"state": "SWEDEN",
"description": "CARD PURCHASE",
"eventType": "CAPTURE",
"expenseRecordId": "55b22cb36900800c016555cbcab4004c",
"id": "7ab11cb36900800c016900cbcab4002b",
"invoiceNumber": null,
"lastUpdated": "2023-07-18T14:20:53Z",
"liability": "private",
"merchantAmount": 550,
"merchantCurrencyCode": "SEK",
"merchantMcc": 5921,
"organizationId": "8ab28cb36900800c016900cbcab4003e",
"personId": "8ab28c4e72e12f790172e29b8e050077",
"posName": "COOP LUDVIKA",
"supplierCardId": "674411441",
"transactionDate": "2023-04-04T00:00:00Z",
"transactionId": "454411002",
"transactionOwnerName": "Test Testsson",
"transactionReference": "04TF56_2024-01-01"
}
]
}{
"result": "<string>",
"code": "<string>",
"description": "<string>"
}{
"result": "<string>",
"description": "<string>"
}
